#include "HelloService.hpp"
#include <iostream>
#include "../requests/HelloRequest.hpp"
#include "../responses/HelloResponse.hpp"

using namespace mole;
using namespace serv;

HelloService::HelloService(mole::ctx::Request * r):Service(r){
    setResponse(new HelloResponse());
}

HelloService::HelloService(){}

HelloService::~HelloService(){}

bool
HelloService::init(std::string s){
    in = s;
}

Service *
HelloService::newInvocableService(mole::ctx::Request * r){
    return new HelloService(r);
}
